##############################################################################
# Initialisation file for the Exam Product for Zope
#
# Copyright (C) 2001 Dr John A.R. Williams
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
##############################################################################

"""Exam Product"""

__doc__ = "Exam Product"
__version__ = "0.5"

import Exam
import ExamQuestion
import MoreExamQuestions
from Globals import ImageFile

def initialize(context):
  context.registerBaseClass(Exam.Exam)
  context.registerBaseClass(ExamQuestion.ExamQuestion)
  context.registerBaseClass(ExamQuestion.ExamMCQ)
  context.registerBaseClass(ExamQuestion.ExamNumericQ)
  context.registerBaseClass(MoreExamQuestions.ExamMAQ)
  context.registerClass(
    Exam.Exam,
    permission='Add Exams',
    constructors=(Exam.manage_addExamForm,
                  Exam.manage_addExam),
    icon='exam.gif',
    )
  context.registerHelp()

misc_={
  'exam': ImageFile('exam.gif',globals()),
  'mcq': ImageFile('mcq.gif',globals()),
  'numeric': ImageFile('numeric.gif',globals()),
  'question': ImageFile('question.gif',globals()),
  'maq': ImageFile('maq.gif',globals()),
  }
